Loading...
Searching...
No Matches
starpu_sched_ctx_hypervisor.h File Reference

Go to the source code of this file.

## Data Structures

struct | starpu_sched_ctx_performance_counters

## Functions

Scheduling Context Link with Hypervisor
void | starpu_sched_ctx_set_perf_counters (unsigned sched_ctx_id, void *perf_counters)
void | starpu_sched_ctx_call_pushed_task_cb (int workerid, unsigned sched_ctx_id)
void | starpu_sched_ctx_notify_hypervisor_exists (void)
unsigned | starpu_sched_ctx_check_if_hypervisor_exists (void)
void | starpu_sched_ctx_update_start_resizing_sample (unsigned sched_ctx_id, double start_sample)

## Function Documentation

## starpu_sched_ctx_set_perf_counters()

void starpu_sched_ctx_set_perf_counters | ( | unsigned | sched_ctx_id,
|  | void * | perf_counters
| ) |  |

Indicate to starpu the pointer to the performance counter

## starpu_sched_ctx_call_pushed_task_cb()

void starpu_sched_ctx_call_pushed_task_cb | ( | int | workerid,
|  | unsigned | sched_ctx_id
| ) |  |

Callback that lets the scheduling policy tell the hypervisor that a task was pushed on a worker

## starpu_sched_ctx_notify_hypervisor_exists()

void starpu_sched_ctx_notify_hypervisor_exists | ( | void |  | ) |

Allow the hypervisor to let starpu know it's initialised

## starpu_sched_ctx_check_if_hypervisor_exists()

unsigned starpu_sched_ctx_check_if_hypervisor_exists | ( | void |  | ) |

Ask starpu if it is informed if the hypervisor is initialised